<!DOCTYPE html>
<html lang="en">
<head>
     <meta charset="UTF-8">
     <meta http-equiv="X-UA-Compatible" content="IE=edge">
     <meta name="viewport" content="width=device-width, initial-scale=1.0">
     <title>task 29.160_Bootstrap example</title>
     <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
     <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
     <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
     <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>


</head>
<body>
    <div class="container">
     <div class="row text-center">
          <div class="col-sm-12">
               <h2><b class="p-1 border-bottom">Pricing</b></h2>
               <p><span class="p-2">Choose a payment plan that works for you</span></p>
          </div>
     </div>
     <div class="row">
          <div class="col-sm-12">
               <div class="row">
                    <div class="col-sm-4">
                         <div class="row card">
                              <!--Basic-->
                              <div class="card-header bg-dark text-white text-center">
                                   <h3>Basic</h3>      
                              </div>
                              <div class="card-body text-center">
                                   <ul class="list-group list-group-flush">
                                        <li class="list-group-item">20<b> Lorem</b></li>
                                        <li class="list-group-item">15<b> Ipsum</b></li>
                                        <li class="list-group-item">5<b> Dolor</b></li>
                                        <li class="list-group-item">2<b> Sit</b></li>
                                        <li class="list-group-item">Endless<b> Anet</b></li>
                                        <li class="list-group-item">
                                         <h1>$<b>19</b></h1>
                                           <b>per month</b>
                                        </li>
                                   </ul>        
                              </div>
                              <div class="card-footer text-center">
                                   <button id="btn-basic" class="btn btn-info" data-is-selected-menu="N">Sign Up</button>
                              </div>
                         </div>
                    </div>
                     <div class="col-sm-4">
                         <div class="row card">
                              <!--Pro-->
                              <div class="card-header bg-secondary text-white text-center">
                                   <h3>Pro</h3>          
                              </div>
                              <div class="card-body text-center">
                                   <ul class="list-group list-group-flush">
                                        <li class="list-group-item">50<b> Lorem</b></li>
                                        <li class="list-group-item">25<b> Ipsum</b></li>
                                        <li class="list-group-item">10<b> Dolor</b></li>
                                        <li class="list-group-item">5<b> Sit</b></li>
                                        <li class="list-group-item">Endless<b> Anet</b></li>
                                        <li class="list-group-item">
                                         <h1>$<b>29</b></h1>
                                           <b>per month</b>
                                        </li>
                                   </ul>           
                              </div>
                              <div class="card-footer text-center">
                                   <button id="btn-pro" class="btn btn-info" data-is-selected-menu="N">Sign Up</button>    
                              </div>
                         </div>
                    </div>
                    <div class="col-sm-4">
                         <div class="row card">
                              <!--Premium-->
                              <div class="card-header bg-dark text-white text-center">
                                   <h3>Premium</h3>          
                              </div>
                              <div class="card-body text-center">
                                   <ul class="list-group list-group-flush">
                                        <li class="list-group-item">100<b> Lorem</b></li>
                                        <li class="list-group-item">50<b> Ipsum</b></li>
                                        <li class="list-group-item">25<b> Dolor</b></li>
                                        <li class="list-group-item">10<b> Sit</b></li>
                                        <li class="list-group-item">Endless<b> Anet</b></li>
                                        <li class="list-group-item">
                                         <h1>$<b>49</b></h1>
                                           <b>per month</b>
                                        </li>
                                   </ul>           
                              </div>
                              <div class="card-footer text-center">
                                   <button id="btn-premium" class="btn btn-info" data-is-selected-menu="N">Sign Up</button>       
                              </div>
                         </div>
                    </div>
               </div>
          </div>
     </div>
    </div>
</body>

<script>
     $(document).ready(function(){
          "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
     $("#btn-basic").on("click", onBtnBasicClick);
     $("#btn-pro").on("click", onBtnProClick);
     $("#btn-premium").on("click", onBtnPremiumClick);
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
     //hàm xử lý khi nút basic được click
     function onBtnBasicClick(){
          // Remove sẽ loại bỏ class "active" khỏi tất cả các nút Sign Up.
          $(".btn").removeClass("active");
          //Hàm .addClass() sẽ thêm class "active" vào nút Sign Up được click.
          $(this).addClass("active");
          //Hàm .css() sẽ đổi màu nút Sign Up của gói Basic sang màu cam.
          $(this).css("background-color", "#FFA500");
          //Hàm .css() cũng sẽ đổi màu nút Sign Up của gói Pro và Premium về màu mặc định
          $("#btn-pro").css("background-color", "");
          $("#btn-premium").css("background-color", "");
          var vMenuBasic = getPricing("Basic", 20, 15, 5, 2, "Endless Anet", 19);
          vMenuBasic.displayInConsoleLog();
     }

      //hàm xử lý khi nút Pro được click
      function onBtnProClick(){
          // Remove sẽ loại bỏ class "active" khỏi tất cả các nút Sign Up.
          $(".btn").removeClass("active");
          //Hàm .addClass() sẽ thêm class "active" vào nút Sign Up được click.
          $(this).addClass("active");
          //Hàm .css() sẽ đổi màu nút Sign Up của gói Basic sang màu cam.
          $(this).css("background-color", "#FFA500");
          //Hàm .css() cũng sẽ đổi màu nút Sign Up của gói Pro và Premium về màu mặc định
          $("#btn-basic").css("background-color", "");
          $("#btn-premium").css("background-color", "");
          var vMenuPro = getPricing("Basic", 50, 25, 10, 5, "Endless Anet", 29);
          vMenuPro.displayInConsoleLog();
     }

      //hàm xử lý khi nút Premium được click
      function onBtnPremiumClick(){
          // Remove sẽ loại bỏ class "active" khỏi tất cả các nút Sign Up.
          $(".btn").removeClass("active");
          //Hàm .addClass() sẽ thêm class "active" vào nút Sign Up được click.
          $(this).addClass("active");
          //Hàm .css() sẽ đổi màu nút Sign Up của gói Basic sang màu cam.
          $(this).css("background-color", "#FFA500");
          //Hàm .css() cũng sẽ đổi màu nút Sign Up của gói Pro và Premium về màu mặc định
          $("#btn-basic").css("background-color", "");
          $("#btn-pro").css("background-color", "");
          var vMenuPremium = getPricing("Basic", 100, 50, 25, 10, "Endless Anet", 49);
          vMenuPremium.displayInConsoleLog();
     }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

  function getPricing(paramMenu,paramLorem, paramIpsum, paramDolor, paramSit, paramEndlessAnet, paramPrice) {
     var vComcoMenuObj = {
          goi: paramMenu,
          lorem: paramLorem,
          ipsum: paramIpsum,
          dolor: paramDolor,
          sit: paramSit,
          endlessanet: paramEndlessAnet,
          price: paramPrice,

          displayInConsoleLog() {
          console.log("%c Gói combo được chọn..........", "color:");
          console.log(this.goi);  //this = "đối tượng này"
          console.log("Lorem: " + this.lorem);
          console.log("Ipsum: " + this.ipsum);
          console.log("Dolor: " + this.dolor);
          console.log("Sit:" + this.sit);
          console.log("Endless Anet:" + this.endlessanet);
          console.log("Price: " + + this.price);
          }

     }
     return vComcoMenuObj;

     }

 });
 
</script>
</html>